#ifndef __FD32_UNICODE_H
#define __FD32_UNICODE_H

// Definitionen aus fat1.h
typedef unsigned long  DWORD;
typedef unsigned int   WORD;    // war unsigned short / gendert wg. Deklaration in fatfs.h
typedef unsigned char  BYTE;
// ad/030930

int utf16_to_scalar(WORD  **s,    DWORD *Ch);
int scalar_to_utf16(DWORD Ch,     WORD  **s);
int utf8_to_scalar (char  **s,    DWORD *Ch);
int scalar_to_utf8 (DWORD Ch,     char  **s);
int utf8_to_utf16  (char  *Utf8,  WORD  *Utf16);
int utf16_to_utf8  (WORD  *Utf16, char  *Utf8);


int             convert_oem_char_to_unicode(unsigned char Ch);
unsigned char   convert_unicode_char_to_oem(int Ch);
unsigned short *convert_oem_string_to_unicode(unsigned short *To,
                                              const unsigned char *From);
unsigned char  *convert_unicode_string_to_oem(unsigned char *To,
                                              const unsigned short *From);
int             unicode_toupper(int Ch);
int             unicode_strcmp(const unsigned short *s1,
                               const unsigned short *s2);
int             unicode_stricmp(const unsigned short *s1,
                                const unsigned short *s2);
unsigned short *unicode_strcpy(unsigned short *To,const unsigned short *From);

#endif

