#ifndef GETOPT_H
#define GETOPT_H

// command line option switches
//
typedef struct {
  char *option;   // option string, e.g. "/o"
  char *format;   // scanf format string, e.g. "%d",
                  // or NULL for boolean on/off switches
  void *param;    // where to store a parameter
  char *help;     // description for usage display
} CmdOpt;


extern  int   GetOptions(int argc, char *argv[], CmdOpt *options);
extern  void  ShowOptionHelp(CmdOpt *options);


#endif